List all Tasks for a User
GET
https://api.neuroscale.io/v2.0/tasks
The Tasks Collection resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| count | Integer | Total number of Task objects contained in the response. |
| data | Array of Tasks | Array of Task objects. |
Authentication¶
Type: Access token
Required scopes: task or list:task
Responses¶
Example response — 200¶
{
"count": 1,
"data": [{
"created_at": 1485280279,
"description": "Description of Task",
"id": "tsk_b3x5WkqCV4X3ebDKkNBZxB",
"name": "My Task",
"object": "task",
"parameters": {
"input_file": "ERP_Data.set",
"output_file": "ERP_Data_out.set"
},
"pipeline": "pl_7DXHottSQRuxRsMJFZoGaU",
"properties": {
"key_1": "value_1",
"key_2": "value_2"
},
"state": "succeeded",
"state_reason": "",
"exit_code": "127",
"updated_at": 1485280279,
"user": "usr_dmagKotr8jXxGimEkp8cEo"
}]
}